UsageException (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.modules.session.installer.args

## Class UsageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.modules.session.installer.args.UsageException

- All Implemented Interfaces:
    java.io.Serializable

      public class UsageException
      extends java.lang.Exception

  Invalid usage exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsageException()` Creates a new UsageException.
    `UsageException(java.lang.String message)` Creates a new UsageException.
    `UsageException(java.lang.String message, java.lang.Throwable cause)` Creates a new UsageException.
    `UsageException(java.lang.Throwable cause)` Creates a new UsageException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUsage()` Returns the usage message previously set.
    `void` | `setUsage(java.lang.String usageText)` Attaches a usage message to the exception for later consumption.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UsageException

          public UsageException()

      Creates a new UsageException.

    - #### UsageException

          public UsageException(java.lang.String message)

      Creates a new UsageException.
      Parameters:
        `message` - description of exceptional condition

    - #### UsageException

          public UsageException(java.lang.String message,
                                java.lang.Throwable cause)

      Creates a new UsageException.
      Parameters:
        `message` - description of exceptional condition
        `cause` - provoking exception

    - #### UsageException

          public UsageException(java.lang.Throwable cause)

      Creates a new UsageException.
      Parameters:
        `cause` - provoking exception

  - ### Method Detail

    - #### setUsage

          public void setUsage(java.lang.String usageText)

      Attaches a usage message to the exception for later consumption.
      Parameters:
        `usageText` - text to display to user to guide them to correct usage. This is generated and set by the `ArgsProcessor`.

    - #### getUsage

          public java.lang.String getUsage()

      Returns the usage message previously set.
      Returns:
        message or null if not set.